%define name php-pear-Date
%define rname Date
%define version 1.4.3
%define rversion 1.4.3
%define release 2mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: Date and Time Zone Classes
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{rname}-%{version}.tar.bz2
License:   PHP License
Group:     Development/Other
Url:       http://pear.php.net/package/Date
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
PreReq:    php-pear
Requires: php >= 4.2
%description
Generic classes for representation and manipulation of
dates, times and time zones without the need of timestamps,
which is a huge limitation for php programs.  Includes time zone data,
time zone conversions and many date/time conversions.
It does not rely on 32-bit system date stamps, so
you can display calendars and compare dates that date
pre 1970 and post 2038. This package also provides a class
to convert date strings between Gregorian and Human calendar formats.

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
cp Date.php $RPM_BUILD_ROOT%{pear_phpdir}/Date.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/Date
cp Date/Calc.php $RPM_BUILD_ROOT%{pear_phpdir}/Date/Calc.php
cp Date/Human.php $RPM_BUILD_ROOT%{pear_phpdir}/Date/Human.php
cp Date/TimeZone.php $RPM_BUILD_ROOT%{pear_phpdir}/Date/TimeZone.php
cp Date/Span.php $RPM_BUILD_ROOT%{pear_phpdir}/Date/Span.php
mkdir -p $RPM_BUILD_ROOT%{pear_testdir}/Date/tests
cp tests/test_calc.php $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/test_calc.php
cp tests/test_date_methods_span.php $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/test_date_methods_span.php
cp tests/testunit_date.php $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/testunit_date.php
cp tests/testunit_date_span.php $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/testunit_date_span.php
cp tests/testunit.php $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/testunit.php
cp tests/bug674.php $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/bug674.php
cp tests/bug967.php $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/bug967.php
cp tests/bug727_1.php $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/bug727_1.php
cp tests/bug727_2.php $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/bug727_2.php
cp tests/bug727_3.php $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/bug727_3.php
cp tests/bug727_4.php $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/bug727_4.php
cp tests/wknotest.txt $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/wknotest.txt
cp tests/weeksinmonth_4_monday.txt $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/weeksinmonth_4_monday.txt
cp tests/weeksinmonth_4_sunday.txt $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/weeksinmonth_4_sunday.txt
cp tests/weeksinmonth_rdm_monday.txt $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/weeksinmonth_rdm_monday.txt
cp tests/weeksinmonth_rdm_sunday.txt $RPM_BUILD_ROOT%{pear_testdir}/Date/tests/weeksinmonth_rdm_sunday.txt
mkdir -p $RPM_BUILD_ROOT%{pear_docdir}/Date
cp TODO $RPM_BUILD_ROOT%{pear_docdir}/Date/TODO

mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%preun
pear uninstall -r -n %{rname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{pear_phpdir}/Date
%dir %{pear_testdir}/Date
%dir %{pear_testdir}/Date/tests
%dir %{pear_docdir}/Date
%{pear_phpdir}/Date.php
%{pear_phpdir}/Date/Calc.php
%{pear_phpdir}/Date/Human.php
%{pear_phpdir}/Date/TimeZone.php
%{pear_phpdir}/Date/Span.php
%{pear_testdir}/Date/tests/test_calc.php
%{pear_testdir}/Date/tests/test_date_methods_span.php
%{pear_testdir}/Date/tests/testunit_date.php
%{pear_testdir}/Date/tests/testunit_date_span.php
%{pear_testdir}/Date/tests/testunit.php
%{pear_testdir}/Date/tests/bug674.php
%{pear_testdir}/Date/tests/bug967.php
%{pear_testdir}/Date/tests/bug727_1.php
%{pear_testdir}/Date/tests/bug727_2.php
%{pear_testdir}/Date/tests/bug727_3.php
%{pear_testdir}/Date/tests/bug727_4.php
%{pear_testdir}/Date/tests/wknotest.txt
%{pear_testdir}/Date/tests/weeksinmonth_4_monday.txt
%{pear_testdir}/Date/tests/weeksinmonth_4_sunday.txt
%{pear_testdir}/Date/tests/weeksinmonth_rdm_monday.txt
%{pear_testdir}/Date/tests/weeksinmonth_rdm_sunday.txt
%{pear_docdir}/Date/TODO
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.4.3-2mdk
- fix pre/post

* Wed Jan 19 2005 Pascal Terjan <pterjan@mandrake.org> 1.4.3-1mdk

- Updated

* Thu Feb 12 2004 Pascal Terjan <pterjan@mandrake.org> 1.4-4mdk

- Own tests/Date

* Sun Jan 04 2004 Pascal Terjan <pterjan@mandrake.org> 1.4-3mdk

- Register the package into pear

* Thu Jan 01 2004 Pascal Terjan <pterjan@mandrake.org> 1.4-2mdk

- Fix directories ownership

* Sun Dec 28 2003 Pascal Terjan <pterjan@mandrake.org> 1.4-1mdk

- First mdk package
